Package org.apache.sling.query.impl.function

## Class DescendantFunction<T>

- java.lang.Object
- - org.apache.sling.query.impl.function.DescendantFunction<T>

All Implemented Interfaces:
  `Function<Iterator<org.apache.sling.query.api.internal.Option<T>>,​Iterator<org.apache.sling.query.api.internal.Option<T>>>`, `org.apache.sling.query.api.internal.IteratorToIteratorFunction<T>`

    public class DescendantFunction<T>
    extends Object
    implements org.apache.sling.query.api.internal.IteratorToIteratorFunction<T>

### Constructor Summary

Constructors
`DescendantFunction​(Iterable<T> descendants, org.apache.sling.query.api.internal.TreeProvider<T> provider)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterator<org.apache.sling.query.api.internal.Option<T>>` `apply​(Iterator<org.apache.sling.query.api.internal.Option<T>> input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

### Constructor Detail

#### DescendantFunction

    public DescendantFunction​(Iterable<T> descendants,
                              org.apache.sling.query.api.internal.TreeProvider<T> provider)

### Method Detail

#### apply

    public Iterator<org.apache.sling.query.api.internal.Option<T>> apply​(Iterator<org.apache.sling.query.api.internal.Option<T>> input)

Specified by:
  `apply` in interface `Function<Iterator<org.apache.sling.query.api.internal.Option<T>>,​Iterator<org.apache.sling.query.api.internal.Option<T>>>`